Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://api.natural.co/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "pty_4a8c9823f39c42a5b817556766551112",
      "type": "customer",
      "attributes": {
        "name": "Acme Co",
        "email": "ops@acme.com",
        "createdAt": "2026-01-04T15:30:00.000Z",
        "delegation": {
          "id": "dlg_550e8400e29b41d4a716446655440000",
          "status": "ACTIVE",
          "permissions": [
            "payments.read"
          ],
          "createdAt": "2026-01-10T12:00:00.000Z"
        },
        "agents": [
          {
            "id": "agt_3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f",
            "name": "Invoice Agent",
            "status": "ACTIVE",
            "permissions": [
              "payments.read"
            ],
            "limits": {
              "perTransaction": 100000
            }
          }
        ]
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:20

Maximum number of results

Required range: 1 <= x <= 100

Response

Successful Response

data
CustomerActiveResource · object[]
required
meta
object
required